"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const glob = require("glob");
function globy(pattern, opts) {
    return new Promise((resolve, reject) => {
        function cb(err, matches) {
            if (!!err) {
                reject(err);
            }
            else {
                resolve(matches);
            }
        }
        if (opts === undefined) {
            glob(pattern, cb);
        }
        else {
            glob(pattern, opts, cb);
        }
    });
}
function replace(input, keys, values) {
    return input.replace(/\{\{(.*?)\}\}/g, (match, content) => {
        const body = "do { return (" + content + "); } while(false);";
        const fn = Function.apply(null, keys.concat([body]));
        try {
            const res = fn.apply(null, values);
            return res.toString();
        }
        catch (e) {
            return match;
        }
    });
}
const globals = [
    ["Buffer", "__dirname", "__filename", "clearImmediate", "clearInterval", "clearTimeout",
        "console", "exports", "global", "module", "process", "require", "setImmediate", "setInterval", "setTimeout"],
    [Buffer, __dirname, __filename, clearImmediate, clearInterval, clearTimeout,
        console, exports, global, module, process, require, setImmediate, setInterval, setTimeout],
];
function default_1(pattern, cmd, opts) {
    return globy(pattern, opts).then((files) => {
        return replace(cmd, globals[0].concat(["files"]), globals[1].concat([files]));
    });
}
exports.default = default_1;
//# sourceMappingURL=glob-exec.js.map